List message events

Returns the delivery events recorded for a message, oldest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.

GET
/v1/messages/{id}/events

Returns the delivery events recorded for a message, oldest first. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string

Response Body

MessageEventPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.messages.getEvents({  "id": "example"});
Example Response
{  "items": [    {      "id": "string",      "messageId": "string",      "eventType": "string",      "status": "string",      "timestamp": "string",      "metadata": {        "property1": "string",        "property2": "string"      }    }  ],  "nextCursor": "string"}

Related documentation